function fields = codd_ray(Uin,cv,th,rn)
%
%  CODD_RAY  Coddington raytrace
%
m = length(th);

Q = 0.0;
U = Uin;
% trigonometric raytrace
for (n=2:m)
   I = asin(sin(U)+Q*cv(n));
   Iprime = asin(rn(n-1)*sin(I)/rn(n));
   Uprime = U + Iprime - I;
   G = Q/(cos(U)+cos(I));
   Qprime = G*(cos(Uprime)+cos(Iprime));
   beta = Iprime - Uprime;
   Y = G*(1+cos(beta));
   % needed for Coddington raytrace
   Z(n) = G*sin(beta);
   Gamma(1,n) = cos(I);
   Gamma(2,n) = cos(Iprime);
   Gamma(3,n) = cos(Uprime);
   % transfer
   Q = Qprime + th(n)*sin(Uprime);
   U = Uprime;
end

% Coddington trace
U = Uin;
t = th(1)./cos(U);
s = t;
for (n=2:m-1)
   Phi = (rn(n)*Gamma(2,n) - rn(n-1)*Gamma(1,n))*cv(n);   
   sprime = rn(n)/(Phi-(rn(n-1)/s));
   tprime = rn(n)*Gamma(2,n)^2/(Phi-(rn(n-1)*Gamma(1,n)^2/t));
   D = (th(n) + Z(n+1) - Z(n))/Gamma(3,n);
   s = D - sprime;
   t = D - tprime;
end
zs = sprime*cos(Uprime) + Z(m-1) - th(m-1);
zt = tprime*cos(Uprime) + Z(m-1) - th(m-1);
fields = [ zs zt ]; 	
