function d = conjugates(m,f)
% CONJUGATES(M,F)
%
%   calculates object/image conjugates given the
%   system matrix and magnification
%
%        D = CONJUGATES(M,F)
%
%          where D(1) = object distance (object to system)
%                D(2) = image distance (system to image)
%                   M = magnification
%                   F = 2 x 2 optical system matrix

%  Author: John Loomis,  1 Oct 1997

    d = [ (1/m - f(2,2))/f(1,2)  (m - f(1,1))/f(1,2) ];
