cv = 1/34.53;  % surface curvature
rno=1.670028;  % index of refraction after surface (out)
rni=1;         % index of refraction before surface (in)
th=0;          % distance from last surface

pos_in = [0 3 -10];  % starting position of ray
dir_in = [0,0.5,1];  % direction of ray (not normalized)
dir_in = dir_in/norm(dir_in);
[pos dir] = surf_trace(pos_in,dir_in,cv,th,rno,rni);
% draw surface profile
y = linspace(-13,13,101);
z = sag(y,cv);
plot(z,y,'k','LineWidth',1.5);
axis equal
hold on;

ray = pos_in;
ray(2,:)=pos;
ray(3,:)=pos+3*dir;
plot(ray(:,3),ray(:,2),'b');

% surface normal vector
ns = -cv*pos;
ns(3)=1+ns(3);
p = pos;
p(2,:)=pos-5*ns;
plot(p(:,3),p(:,2),'g');

hold off;