cv = 1/34.53;  % surface curvature
rno=1.670028;  % index of refraction after surface (out)
rni=1;         % index of refraction before surface (in)
th=0;          % distance from last surface

pos_in = [0 3 -10];  % starting position of ray

% draw surface profile
y = linspace(-13,13,101);
z = sag(y,cv);
plot(z,y,'k','LineWidth',1.5);
axis equal
hold on;

ray = pos_in;

for ky=linspace(-0.6,0.6,11)
    dir_in = [0,ky,1];
    dir_in = dir_in/norm(dir_in);
    [pos dir] = surf_trace(pos_in,dir_in,cv,th,rno,rni);
    ray(2,:)=pos;
    ray(3,:)=pos+3*dir;
    plot(ray(:,3),ray(:,2),'b');
end

hold off;